﻿<%@ Page Title="ASP.NET Org Chart Component - Displaying an Org Chart" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true"
    CodeFile="Demo1.aspx.cs" Inherits="Demo1" %>

<%@ Register Assembly="OrgChart" Namespace="OrgChart.Core" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <style type="text/css">
        .style1
        {
            font-size: small;
            color: black;
            font-family: Consolas, "Courier New", Courier, Monospace;
            background-color: #ffffff;
            overflow: hidden;
            width: 850px; /*white-space: pre;*/
        }
        .style2
        {
            font-size: small;
            color: black;
            font-family: Consolas, "Courier New", Courier, Monospace;
            background-color: #ffffff;
            overflow: hidden;
            width: 850px; /*white-space: pre;*/
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="TitlePlaceHolder" runat="Server">
    ASP.NET Org Chart Component - Displaying an Org Chart
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PageDescriptionPlaceHolder" runat="Server">
    <p>
        This simple page shows an XML Organisation Chart Component bound to <a href="data5.xml">
            this XML file </a>of 9 items.        
    </p>
    <p>By default the <span class="propertyName">AutoFormating</span> feature will make an intelligent guess as how best to display the org chart.</p>
    <p>
        Developers can also use the <span class="propertyName">HtmlTemplate</span> property to define how to display the chart.  The property takes
        Html and substitutes {<i>field Name</i>} for each item where <i>field Name</i> is
        the name of an attribute within an XML document or a column name within a datatable.  The <span class="propertyName">HtmlTemplate</span> property
        provides a quick and simple method of formatting organisation charts.</p>
    <p>The layout can be also be defined using</p>
        <ul>
            <li>Templates in Visual Studio.NET</li>
            <li>Using a Web User Control</li>
        </ul>
    <p>
        Change the <span class="propertyName">HtmlTemplate</span> using the drop down box
        below to format the org chart. 
    </p>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ChartPlaceHolder" runat="Server">
    <asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="~/data5.xml"></asp:XmlDataSource>
    <table>
        <tr>
            <td valign="top">
                <p>Select a Layout &nbsp;<asp:DropDownList ID="DropDownList1" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DropDownList1_SelectedIndexChanged">
                    <asp:ListItem Value="" Enabled="true">Default</asp:ListItem>
                    <asp:ListItem Value="1">Example 1 - Simple</asp:ListItem>
                    <asp:ListItem Value="2">Example 2 - Two Fields</asp:ListItem>
                    <asp:ListItem Value="3">Example 3 - More Complex</asp:ListItem>
                </asp:DropDownList></p>
                <br />
                <asp:Label ID="lblHtmlTemplate" runat="server" Text="TextBox1" BorderColor="Black"
                    BorderWidth="1px" Height="50px" Width="860px"></asp:Label>
            </td>
        </tr>
        <tr>
            <td valign="top">
                <cc1:XmlBoundOrganisationChart ID="XmlOrgChart" DataSourceID="XmlDataSource1" runat="server" Width="860px">                    
                </cc1:XmlBoundOrganisationChart>
            </td>
        </tr>
    </table>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="CodePlaceHolder" runat="Server">
    <h3>
        <a href="#">C# Code</a></h3>
    <div width="800px">
        <!-- code formatted by http://manoli.net/csharpformat/ -->
<pre class="style1">
    <span class="kwrd">protected</span> <span class="kwrd">void</span> DropDownList1_SelectedIndexChanged(<span class="kwrd">object</span> sender, EventArgs e)
    {               
        <span class="rem">// User has changed the drop down list, so update the orgchart template</span>
        <span class="kwrd">switch</span> (DropDownList1.SelectedValue)
        {
            <span class="kwrd">case</span> <span class="str">"1"</span>: XmlOrgChart.ChartItem.HtmlTemplate = <span class="str">@"{name}"</span>;
                <span class="kwrd">break</span>;
            <span class="kwrd">case</span> <span class="str">"2"</span>: XmlOrgChart.ChartItem.HtmlTemplate = <span class="str">@"{name}&lt;br/&gt;&lt;B&gt;{JobTitle}&lt;/B&gt;"</span>;
                <span class="kwrd">break</span>;
            <span class="kwrd">case</span> <span class="str">"3"</span>: XmlOrgChart.ChartItem.HtmlTemplate
                    = <span class="str">@"&lt;div style='border:solid black;width:175px'&gt;Name:{name}&lt;/br&gt;Role:&lt;B&gt;{JobTitle}&lt;/B&gt;&lt;/div&gt;"</span>;
                <span class="kwrd">break</span>;

            <span class="kwrd">default</span>: XmlOrgChart.ChartItem.HtmlTemplate = <span class="kwrd">null</span>;
                <span class="kwrd">break</span>;
        }

        
        lblHtmlTemplate.Text = Server.HtmlEncode(XmlOrgChart.ChartItem.HtmlTemplate);
        <span class="rem">// If the user has selected option 3 then do not show the background image</span>
        XmlOrgChart.ChartItem.ShowBackgroundImage = DropDownList1.SelectedIndex != 3;

        <span class="rem">// Display the chart</span>
        XmlOrgChart.DataBind();
    }</pre>
    </div>
    <h3>
        <a href="#">Html Markup</a></h3>
    <div>
       
   <!-- code formatted by http://manoli.net/csharpformat/ -->
<pre class="style2">
<span class="kwrd">&lt;</span><span class="html">cc1:XmlBoundOrganisationChart</span> <span class="attr">ID</span><span class="kwrd">="XmlOrgChart"</span> <span class="attr">DataSourceID</span><span class="kwrd">="XmlDataSource1"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">Width</span><span class="kwrd">="860px"</span><span class="kwrd">&gt;</span>                    
<span class="kwrd">&lt;/</span><span class="html">cc1:XmlBoundOrganisationChart</span><span class="kwrd">&gt;</span></pre>
    </div>
</asp:Content>
