<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true"
    CodeFile="Demo2.aspx.cs" Inherits="Demo2" %>

<%@ Register Assembly="OrgChart" Namespace="OrgChart.Core" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    </asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="TitlePlaceHolder" runat="Server">
    ASP.NET Org Chart Component - Binding To Events
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PageDescriptionPlaceHolder" runat="Server">
    <p>
        This pages demonstrates usage of the <span class="propertyName">OnItemDataBound</span>
        event. The chart is bound to a DataTable consisting of a number of randomly generated
        nodes. The page binds to the <span class="propertyName">OnItemDataBound</span> event
        exposed by the organisation chart control and varies the node background colour
        depending on the number of children belonging to that org chart item.
    </p>
    <p>
        The DetailedTemplate is used to define the UI for the org chart item and 
        comprises of a label and two buttons. The buttons
        are bound to functions that will either add a new node or remove an existing one.&nbsp; 
        The label is used to indicate the number of children that the org chart item 
        has.
    </p>
    <p>
        In addition OrgChartComponent exposes the following events:</p>
        
        <ul>
            <li><span class="propertyName">ItemCancelled</span> Raised when the end user uses the cancel button to close the EditItem template</li>
            <li><span class="propertyName">ItemCommand</span> Raised when the end user clicks on one of the navigation bar controls</li>
            <li><span class="propertyName">ItemCreated</span> Raised when a chart item is created but prior to being databound</li> 
            <li><span class="propertyName">ItemDataBound</span> Raised when a chart item is databound</li>
            <li><span class="propertyName">ItemPreRender</span> Raised just before an org chart item is rendered</li>
            <li><span class="propertyName">ItemSelected</span> Raised by the end user by selecting an org chart item</li>            
            <li><span class="propertyName">ItemDropped</span> Raised when an item is dragged and dropped onto another item</li>
            <li><span class="newTxt">New in version 3.3</span> <span class="propertyName">TierCreating</span> Raised when the OrgChartComponent creates a new tier of the 
                organisation chart</li>           
        </ul>
    
        
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ChartPlaceHolder" runat="Server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <asp:Button ID="Button3" runat="server" Text="Start Over" OnClick="Button3_Click1" />
            <cc1:DataBoundOrganisationChart ID="DataChart" runat="server" Width="865px">
                <NavigationBarSettings Visible="False" />
                <ChartItem Colour="Grey">
                </ChartItem>
                <DetailedTemplate>
                    <div>
                        <asp:Label ID="Label1" runat="server" Text='<%# Container.DataElement("NodeName") %>'
                            Font-Bold="True" Font-Italic="True"></asp:Label><br />
                        <asp:Button ID="Button1" runat="server" CommandArgument='<%# Container.DataElement("UniqueId")%>'
                            OnClick="btnAdd_Click" Text="+" />
                        <asp:Button ID="Button2" runat="server" CommandArgument='<%# Container.DataElement("UniqueId")%>'
                            OnClick="btnRemove_Click" Text="-" />
                    </div>
                </DetailedTemplate>
            </cc1:DataBoundOrganisationChart>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="CodePlaceHolder" runat="Server">
    <h3>
        <a href="#">C# Code</a></h3>
    <div>
        <pre class="alt"><span class="lnum">1: </span><span class="kwrd">protected</span> <span
            class="kwrd">void</span> Page_Load(<span class="kwrd">object</span> sender, EventArgs e)</pre>
        <pre><span class="lnum">2: </span>    {</pre>
        <pre class="alt"><span class="lnum">3: </span>        <span class="rem">// Bind the chart to a data source</span></pre>
        <pre><span class="lnum">4: </span>        DataChart.DataSource = Data;</pre>
        <pre class="alt"><span class="lnum">5: </span>        <span class="rem">// Hook up the ItemDataBound event</span></pre>
        <pre><span class="lnum">6: </span>        DataChart.ItemDataBound += <span class="kwrd">
            new</span> OrganisationChartItemEventHandler(ItemDataBound);</pre>
        <pre class="alt"><span class="lnum">7: </span>        <span class="rem">// Display the chart</span></pre>
        <pre><span class="lnum">8: </span>        DataChart.DataBind();</pre>
        <pre class="alt"><span class="lnum">9: </span>    }</pre>
        <pre><span class="lnum">10: </span>&nbsp;</pre>
        <pre class="alt"><span class="lnum">11: </span>    <span class="rem">/// &lt;summary&gt;</span></pre>
        <pre><span class="lnum">12: </span>    <span class="rem">/// This event handler is invoked once per item in the organisation chart</span></pre>
        <pre class="alt"><span class="lnum">13: </span>    <span class="rem">/// &lt;/summary&gt;</span></pre>
        <pre><span class="lnum">14: </span>    <span class="rem">/// &lt;param name="sender"&gt;&lt;/param&gt;</span></pre>
        <pre class="alt"><span class="lnum">15: </span>    <span class="rem">/// &lt;param name="e"&gt;&lt;/param&gt;</span></pre>
        <pre><span class="lnum">16: </span>    <span class="kwrd">void</span> ItemDataBound(<span
            class="kwrd">object</span> sender, OrganisationChartItemEventArgs e)</pre>
        <pre class="alt"><span class="lnum">17: </span>    {</pre>
        <pre><span class="lnum">18: </span>        Label l = e.Item.FindControl(<span class="str">
            "Label1"</span>) <span class="kwrd">as</span> Label;</pre>
        <pre class="alt"><span class="lnum">19: </span>        <span class="rem">// Find the number of children from the Item object. </span></pre>
        <pre><span class="lnum">20: </span>        <span class="rem">// And set the colour of the label accordingly. </span></pre>
        <pre class="alt"><span class="lnum">21: </span>        <span class="kwrd">switch</span> (e.Item.NumberOfChildren)</pre>
        <pre><span class="lnum">22: </span>        {</pre>
        <pre class="alt"><span class="lnum">23: </span>            <span class="kwrd">case</span> 0: l.BackColor = Color.Gainsboro; <span
            class="kwrd">break</span>;</pre>
        <pre><span class="lnum">24: </span>            <span class="kwrd">case</span> 1: l.BackColor = Color.Blue; <span
            class="kwrd">break</span>;</pre>
        <pre class="alt"><span class="lnum">25: </span>            <span class="kwrd">case</span> 2: l.BackColor = Color.Green; <span
            class="kwrd">break</span>;</pre>
        <pre><span class="lnum">26: </span>            <span class="kwrd">case</span> 3: l.BackColor = Color.Red; <span
            class="kwrd">break</span>;</pre>
        <pre class="alt"><span class="lnum">27: </span>            <span class="kwrd">default</span>: l.BackColor = Color.Gold; <span
            class="kwrd">break</span>;</pre>
        <pre><span class="lnum">28: </span>        }</pre>
        <pre class="alt"><span class="lnum">29: </span>    }</pre>
        <pre><span class="lnum">30: </span>&nbsp;</pre>
        <pre class="alt"><span class="lnum">31: </span>    <span class="rem">/// &lt;summary&gt;</span></pre>
        <pre><span class="lnum">32: </span>    <span class="rem">/// This method is called by the Add button created by the DetailedTemplate</span></pre>
        <pre class="alt"><span class="lnum">33: </span>    <span class="rem">/// &lt;/summary&gt;</span></pre>
        <pre><span class="lnum">34: </span>    <span class="rem">/// &lt;param name="sender"&gt;&lt;/param&gt;</span></pre>
        <pre class="alt"><span class="lnum">35: </span>    <span class="rem">/// &lt;param name="e"&gt;&lt;/param&gt;</span></pre>
        <pre><span class="lnum">36: </span>    <span class="kwrd">protected</span> <span
            class="kwrd">void</span> btnAdd_Click(<span class="kwrd">object</span> sender, EventArgs e)</pre>
        <pre class="alt"><span class="lnum">37: </span>    {</pre>
        <pre><span class="lnum">38: </span>        Button s = (Button)sender;</pre>
        <pre class="alt"><span class="lnum">39: </span>        <span class="rem">// Create a new row and add it to the data source.</span></pre>
        <pre><span class="lnum">40: </span>        <span class="kwrd">int</span> managerId = <span
            class="kwrd">int</span>.Parse(s.CommandArgument);</pre>
        <pre class="alt"><span class="lnum">41: </span>        <span class="kwrd">int</span> newId = Data.Rows.Count + 1;</pre>
        <pre><span class="lnum">42: </span>&nbsp;</pre>
        <pre class="alt"><span class="lnum">43: </span>        addRow(Data, newId, managerId,<span class="str">"New Node"</span> + newId);</pre>
        <pre><span class="lnum">44: </span>        DataChart.DataBind();</pre>
        <pre class="alt"><span class="lnum">45: </span>    }</pre>
    </div>
    <h3>
        <a href="#">Html Markup</a></h3>
    <div>
        <pre class="alt"><span class="lnum">1: </span> <span class="kwrd">&lt;</span><span
            class="html">cc1:DataBoundOrganisationChart</span> <span class="attr">ID</span><span
                class="kwrd">="DataChart"</span> <span class="attr">runat</span><span class="kwrd">="server"</span><span
                    class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">2: </span>                <span class="kwrd">&lt;</span><span
            class="html">NavigationBarSettings</span> <span class="attr">Visible</span><span
                class="kwrd">="False"</span> <span class="kwrd">/&gt;</span>                </pre>
        <pre class="alt"><span class="lnum">3: </span>                <span class="kwrd">&lt;</span><span
            class="html">ChartItem</span> <span class="attr">Colour</span><span class="kwrd">="Grey"</span><span
                class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">4: </span>                <span class="kwrd">&lt;/</span><span
            class="html">ChartItem</span><span class="kwrd">&gt;</span></pre>
        <pre class="alt"><span class="lnum">5: </span>                <span class="kwrd">&lt;</span><span
            class="html">DetailedTemplate</span><span class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">6: </span>                    <span class="kwrd">&lt;</span><span
            class="html">div</span><span class="kwrd">&gt;</span></pre>
        <pre class="alt"><span class="lnum">7: </span>                        <span class="kwrd">
            &lt;</span><span class="html">asp:Label</span> <span class="attr">ID</span><span
                class="kwrd">="Label1"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span
                    class="attr">Text</span><span class="kwrd">='&lt;%# Container.DataElement("NodeName")
                        %&gt;'</span></pre>
        <pre><span class="lnum">8: </span>                            <span class="attr">Font-Bold</span><span
            class="kwrd">="True"</span> <span class="attr">Font-Italic</span><span class="kwrd">="True"</span><span
                class="kwrd">&gt;&lt;/</span><span class="html">asp:Label</span><span class="kwrd">&gt;&lt;</span><span
                    class="html">br</span> <span class="kwrd">/&gt;</span></pre>
        <pre class="alt"><span class="lnum">9: </span>                        <span class="kwrd">
            &lt;</span><span class="html">asp:Button</span> <span class="attr">ID</span><span
                class="kwrd">="Button1"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span
                    class="attr">CommandArgument</span><span class="kwrd">='&lt;%# Container.DataElement("UniqueId")%&gt;'</span></pre>
        <pre><span class="lnum">10: </span>                            <span class="attr">OnClick</span><span
            class="kwrd">="btnAdd_Click"</span> <span class="attr">Text</span><span class="kwrd">="+"</span> <span
                class="kwrd">/&gt;</span></pre>
        <pre class="alt"><span class="lnum">11: </span>                        <span class="kwrd">
            &lt;</span><span class="html">asp:Button</span> <span class="attr">ID</span><span
                class="kwrd">="Button2"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span
                    class="attr">CommandArgument</span><span class="kwrd">='&lt;%# Container.DataElement("UniqueId")%&gt;'</span></pre>
        <pre><span class="lnum">12: </span>                            <span class="attr">OnClick</span><span
            class="kwrd">="btnRemove_Click"</span> <span class="attr">Text</span><span class="kwrd">="-"</span> <span
                class="kwrd">/&gt;</span></pre>
        <pre class="alt"><span class="lnum">13: </span>                    <span class="kwrd">
            &lt;/</span><span class="html">div</span><span class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">14: </span>                <span class="kwrd">&lt;/</span><span
            class="html">DetailedTemplate</span><span class="kwrd">&gt;</span></pre>
        <pre class="alt"><span class="lnum">15: </span>            <span class="kwrd">&lt;/</span><span
            class="html">cc1:DataBoundOrganisationChart</span><span class="kwrd">&gt;</span></pre>
    </div>
</asp:Content>
