﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using OrgChart.Core;

public partial class Demo3 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Fill the drop down lists with the values from the Org Chart
        if (!IsPostBack)
        {
            drpColour.DataSource = Enum.GetNames(typeof(OrgChart.Core.BackgroundImageColour));
            drpColour.DataBind();

            drpShape.DataSource = Enum.GetNames(typeof(OrgChart.Core.BackgroundImageStyle));
            drpShape.DataBind();

            DropDownList1.DataSource = Enum.GetNames(typeof(OrgChart.Core.BackgroundImageSize));
            DropDownList1.DataBind();
        }        
    }

    protected override void OnPreRender(EventArgs e)
    {
        // Set the Chart colour, style and size from the values in the drop down list
        XmlChart.ChartItem.Colour = 
                (BackgroundImageColour)Enum.Parse(typeof(BackgroundImageColour), drpColour.SelectedValue);
        XmlChart.ChartItem.BackgroundImageStyle = 
                (BackgroundImageStyle)Enum.Parse(typeof(BackgroundImageStyle), drpShape.SelectedValue);
        XmlChart.ChartItem.Size = 
                (BackgroundImageSize)Enum.Parse(typeof(BackgroundImageSize), DropDownList1.SelectedValue);
        XmlChart.DataBind();
        

        base.OnPreRender(e);
    }
}
