﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Demo4.aspx.cs" Inherits="Demo4" %>
<%@ Register Assembly="OrgChart" Namespace="OrgChart.Core" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="TitlePlaceHolder" Runat="Server">
ASP.NET Org Chart Component - Sample Application Built Using The DataBoundOrganisationChart
        Component
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PageDescriptionPlaceHolder" Runat="Server">
 <p>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        This simple organisation chart application has been created using a <span class="propertyName">
            DataboundOrganisationChart</span> control, a DetailsView and two SqlDataSource
        components. The chart can be configured to "Stack" children which is a useful method
        of displaying large organisation charts in a presentable manner and the user can
        select whether to see a "Detailed" or "Summary" view.
    </p>
    <p>
        The user can navigate up and down the chart using the triangular buttons and can
        set the number of levels that they wish to view.</p>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ChartPlaceHolder" Runat="Server">
  <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <table>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                    <td>
                        <fieldset>
                            <legend>Settings</legend>
                            Start From:
                            <asp:DropDownList ID="DropDownList2" runat="server" AutoPostBack="True" 
                                DataSourceID="SqlDataSource2" DataTextField="Last_Name" 
                                DataValueField="EmployeeId" 
                                onselectedindexchanged="DropDownList2_SelectedIndexChanged" >
                            </asp:DropDownList>
                            Number Of Levels:
                            <asp:DropDownList ID="DropDownList1" runat="server">
                                <asp:ListItem Text="Full Chart" Value="Full"></asp:ListItem>
                                <asp:ListItem Text="1" Value="1"></asp:ListItem>
                                <asp:ListItem Text="2" Value="2"></asp:ListItem>
                                <asp:ListItem Text="3" Value="3" Selected="True"></asp:ListItem>
                                <asp:ListItem Text="4" Value="4"></asp:ListItem>
                            </asp:DropDownList>
                            Detail View:
                            <asp:CheckBox ID="chkDetail" Checked="true" runat="server" />
                            Stack Children:
                            <asp:CheckBox ID="chkStack" Checked="true" runat="server" />
                            Stack From Level:
                            <asp:DropDownList ID="lstStackLevel" runat="server">
                                <asp:ListItem Text="1" Value="1"></asp:ListItem>
                                <asp:ListItem Text="2" Value="2"></asp:ListItem>
                                <asp:ListItem Text="3" Value="3" Selected="True"></asp:ListItem>
                                <asp:ListItem Text="4" Value="4"></asp:ListItem>
                            </asp:DropDownList>
                            <asp:Button ID="btnFind" runat="server" Text="Refresh" />
                            
                            <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
                                ConnectionString="<%$ ConnectionStrings:orgchartdemoConnectionString %>" 
                                SelectCommand="SELECT [EmployeeId] AS EmployeeId, [Last Name] +', ' + [First Name] AS Last_Name FROM [vStaffDetails]">
                            </asp:SqlDataSource>
                        </fieldset>
                    </td>
                </tr>
            </table>
            <hr />
            <table>
                <tr>
                    <td valign="top">
                        <fieldset>
                            <legend>ACME Corporation Organisation Chart</legend>
                            <cc1:DataBoundOrganisationChart ID="DataBoundOrganisationChart1" runat="server" DataSourceID="SqlDataSource1"
                        PrimaryKey="EmployeeId" LineColour="Red" Width="865px" 
                        ShowFrame="False" >
                                <AssistantItem  Colour="Brown" 
                                    Size="Medium"/>                             
                                <DetailedTemplate>
                                    <div style="border-style: solid; width: 200px; background-color: #FFFFFF; font-family: Arial;
                                font-size: 10px;">
                                        <table>
                                            <tr>
                                                <td>
                                                    <%# Container["First Name"]%>&nbsp;<%# Container["Last Name"]%>
                                                </td>
                                                <td rowspan="3">
                                                    <img alt="" class="style1" src='<%# Container["ImageUrl"]%>' />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td valign="top">
                                                    <b><%# Container["JobTitle"]%></b><br />
                                                    <%# Container["Department"]%>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="center" valign="bottom">
                                                </td>
                                                <td>
                                                </td>
                                            </tr>
                                        </table>
                                        <asp:ImageButton ID="ImageButton1" runat="server" CommandName="DrillUp" ImageUrl="~/images/UpArrow.JPG"
                                    CommandArgument='<%# Container["ManagerId"]%>' 
                                    OnClick="LinkButton1_Click" />
                                        <asp:ImageButton ID="ImageButton2" runat="server" CommandName="DrillDown" CommandArgument='<%# Container["EmployeeId"]%>'
                                    ImageUrl="~/images/DownArrow.JPG" OnClick="LinkButton1_Click" />
                                        <asp:ImageButton ID="LinkButton2" runat="server" ImageUrl="~/images/Info.JPG" CommandName="Info"
                                    CommandArgument='<%# Container["EmployeeId"]%>' 
                                    OnClick="LinkButton1_Click">
                                        </asp:ImageButton>
                                    </div>
                                </DetailedTemplate>
                                <CommandBarSettings LevelLabelText="Levels" ShowStack="False" 
                                    StackLabelText="Stack" SummaryLabelText="Summary" 
                                    Title="Organisation Chart Commands" />
                                <StackTemplate>
                                    <div id="stackDiv" runat="server" style="border-style: solid; width: 200px; background-color: #CCFF33; font-family: Arial;
                                font-size: 10px;">
                                        <%# Container.DataElement("First Name")%>&nbsp;<%# Container.DataElement("Last Name")%>
                                        <asp:ImageButton ID="ImageButton3" runat="server" CommandName="DrillDown" CommandArgument='<%# Container.DataElement("EmployeeId")%>'
                                    ImageUrl="~/images/DownArrow.JPG" OnClick="LinkButton1_Click" Width="10px" 
                                    Height="10px" />
                                        <asp:ImageButton ID="LinkButton3" runat="server" ImageUrl="~/images/Info.JPG" CommandName="Info"
                                    CommandArgument='<%# Container.DataElement("EmployeeId")%>' Height="12px" 
                                    Width="12px" OnClick="LinkButton1_Click">
                                        </asp:ImageButton>
                                    </div>
                                </StackTemplate>
                                <EditItem Colour="Brown" Size="Medium">
                                </EditItem>
                                <SummaryTemplate>
                                    <div style="border-style: solid; width: 100px; background-color: #FFFF99; font-family: Arial;
                                font-size: 10px;">
                                        <asp:ImageButton ID="ImageButton4" runat="server" CommandName="DrillUp" 
                                    Width="10px" Height="10px" ImageUrl="~/images/UpArrow.JPG"
                                    CommandArgument='<%# Container.DataElement("ManagerId")%>' 
                                    OnClick="LinkButton1_Click" />
                                        <%# Container.DataElement("First Name").ToString()[0]%>.&nbsp;<%# Container.DataElement("Last Name")%>
                                        <asp:ImageButton ID="ImageButton5" runat="server" CommandName="DrillDown" CommandArgument='<%# Container.DataElement("EmployeeId")%>'
                                    ImageUrl="~/images/DownArrow.JPG" OnClick="LinkButton1_Click" Width="10px" 
                                    Height="10px" />
                                        <asp:LinkButton ID="LinkButton4" runat="server" Text="Info" CommandName="Info" CommandArgument='<%# Container.DataElement("EmployeeId")%>'
                                    Font-Size="X-Small" OnClick="LinkButton1_Click"></asp:LinkButton>
                                    </div>
                                </SummaryTemplate>

                                <ChartItem Colour="Brown" ShowBackgroundImage="False" 
                                    Size="Medium">
                                </ChartItem>
                                <SummaryItem Colour="Brown" Size="Medium" ShowBackgroundImage="False" >
                                </SummaryItem>
                                <StackItem Colour="Brown" ShowBackgroundImage="False" 
                                    Size="Medium">
                                </StackItem>

                                <NavigationBarSettings ShowHidePeersButton="True" ShowNavigationButtons="True" 
                                    ShowSelectButton="False" Visible="False" />
                            </cc1:DataBoundOrganisationChart>
                        </fieldset>
                    </td>
                    <td valign="top">
                        <fieldset>
                            <legend>Details</legend>
                            <asp:DetailsView ID="DetailsView1" runat="server" Height="50px" Width="125px" AutoGenerateRows="False"
                        CellPadding="4" DataKeyNames="EmployeeId" DataSourceID="sqlEmployee" ForeColor="#333333"
                        GridLines="None">
                                <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                                <CommandRowStyle BackColor="#D1DDF1" Font-Bold="True" />
                                <RowStyle BackColor="#EFF3FB" />
                                <FieldHeaderStyle BackColor="#DEE8F5" Font-Bold="True" />
                                <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                                <Fields>
                                    <asp:BoundField DataField="Employee Number" HeaderText="Employee Number" 
                                SortExpression="Employee Number" />
                                    <asp:BoundField DataField="First Name" HeaderText="First Name" 
                                SortExpression="First Name" />
                                    <asp:BoundField DataField="Last Name" HeaderText="Last Name" 
                                SortExpression="Last Name" />
                                    <asp:BoundField DataField="Department" HeaderText="Department" 
                                SortExpression="Department" />
                                    <asp:BoundField DataField="LocationName" HeaderText="LocationName" 
                                SortExpression="LocationName" />
                                    <asp:BoundField DataField="JobTitle" HeaderText="JobTitle" 
                                SortExpression="JobTitle" />
                                </Fields>
                                <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                                <EditRowStyle BackColor="#2461BF" />
                                <AlternatingRowStyle BackColor="White" />
                            </asp:DetailsView>
                        </fieldset>
                    </td>
                </tr>
            </table>
        </ContentTemplate>
    
    </asp:UpdatePanel>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:OrgChartDemoConnectionString %>"
        SelectCommand="SELECT * FROM [vStaffDetails]"></asp:SqlDataSource>
    <asp:SqlDataSource ID="sqlEmployee" runat="server" ConnectionString="<%$ ConnectionStrings:OrgChartDemoConnectionString %>"
        SelectCommand="SELECT * FROM [vStaffDetails] WHERE ([EmployeeId] = @EmployeeId)">
        <SelectParameters>
            <asp:SessionParameter DefaultValue="1" Name="EmployeeId" SessionField="SelectedEmployeeId"
                Type="Int32" />
        </SelectParameters>
    </asp:SqlDataSource>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="CodePlaceHolder" Runat="Server">
</asp:Content>

