﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using OrgChart.Core;
using System.Web.UI.HtmlControls;

public partial class Demo4 : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
        DataBoundOrganisationChart1.CommandBarSettings.Visible = false;
        DataBoundOrganisationChart1.NavigationBarSettings.Visible = false;
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        DataBoundOrganisationChart1.ItemPreRender += new OrganisationChartItemEventHandler(DataBoundOrganisationChart1_ItemPreRender);

        DataBoundOrganisationChart1.DataBind();
    }

    private int altStyle = 0;

    void DataBoundOrganisationChart1_ItemPreRender(object sender, OrganisationChartItemEventArgs e)
    {
        if (e.Item.ItemType == OrganisationItemType.StackedItem)
        {
            HtmlGenericControl div = e.Item.FindControl("stackDiv") as HtmlGenericControl;

            if (altStyle % 2 == 0)
            {
                div.Style.Add("background-color", "#CCAA44");
            }
            else
            {
                div.Style.Add("background-color", "#77AA44");
            }
            altStyle++;
        }

    }


    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        IButtonControl lb = sender as IButtonControl;

        switch (lb.CommandName)
        {
            case "Info": Session["SelectedEmployeeId"] = lb.CommandArgument;
                break;

            case "DrillDown":
                DataBoundOrganisationChart1.StartValue = lb.CommandArgument; // set to EmployeeId
                break;

            case "DrillUp":
                if (lb.CommandArgument != "0")
                {
                    DataBoundOrganisationChart1.StartValue = lb.CommandArgument; // set to ManagerId
                }
                break;
            default: throw new ArgumentException("Unknown command " + lb.CommandName);

        }
        DataBoundOrganisationChart1.DataBind();
    }

    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);

        int maxDepth = 0;
        if (!int.TryParse(DropDownList1.SelectedValue, out maxDepth))
        {
            maxDepth = 999;
        }
        DataBoundOrganisationChart1.MaximumDepth = maxDepth;

        DataBoundOrganisationChart1.StackItem.ShowStackItems = chkStack.Checked;
        DataBoundOrganisationChart1.SummaryItem.UseSummaryTemplate = !chkDetail.Checked;
        DataBoundOrganisationChart1.SummaryItem.SummaryDepth = 3;
        DataBoundOrganisationChart1.StackItem.StackDepth = int.Parse(lstStackLevel.SelectedValue);

        DataBoundOrganisationChart1.DataBind();
    }

    protected void DropDownList2_SelectedIndexChanged(object sender, EventArgs e)
    {
        DataBoundOrganisationChart1.StartValue = DropDownList2.SelectedValue;

    }
}
