<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Demo5.aspx.cs" Inherits="Demo5" %>
<%@ Register Assembly="OrgChart" Namespace="OrgChart.Core" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
<title>ASP.NET Org Chart Component - Miscellaneous properties</title>
<style>
    .style1 {
       background-color: #f4f4f4;
    }
</style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="TitlePlaceHolder" Runat="Server">
ASP.NET Org Chart Component - Miscellaneous properties
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PageDescriptionPlaceHolder" Runat="Server">
 <p>
        Change the properties on the org chart control to see the effects.
    </p>
    <p>
        The Organisation Chart Component has a wide range of properties that allow the ASP.NET
        developer control over the behavior and appearance of the organisation
        charts that are implemented.</p>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ChartPlaceHolder" Runat="Server">

 <table class="orgcharttable2">
        <thead>
        <tr>
            <td class="orgcharttable2td">
                <b>Property
            </b>
            </td>
            <td class="orgcharttable2td">
                <b>Description
            </b>
            </td>
            <td class="orgcharttable2td">
                <b>Value
            </b>
            </td>
            <td class="orgcharttable2td">
                <b>Result</b>
            </td>
        </tr>
        </thead>
        
        <tr class="style1">
            <td class="orgcharttable2td">
                ShowBackground
            </td>
            <td class="orgcharttable2td">
                If true uses a background image for each chart item
            </td>
            <td class="orgcharttable2td">
                <asp:CheckBox ID="chkBackgroundImage" runat="server" AutoPostBack="True" Checked="True" />
            </td>
            <td rowspan="103" style="border: 1px solid #ccc;" valign="top">
                <cc1:XmlBoundOrganisationChart ID="XmlBoundOrganisationChart1" runat="server" Width="100%" DataSourceID="XmlDataSource1">
                    <ChartItem Colour="Red" Size="Medium"  BackgroundImageStyle="Gradient5">
                        <ItemStyle Font-Bold="True" ForeColor="Black" />
                    </ChartItem>                    
                    <StackItem Colour="Yellow" Size="Narrow" HtmlTemplate="{name}" 
                        ShowBackgroundImage="true" BackgroundImageStyle="Gradient5" ShowStackItems="True">
                    </StackItem>
                    <NavigationBarSettings Visible="False" ShowSelectButton="False" ShowHidePeersButton="True"
                        ShowNavigationButtons="True"></NavigationBarSettings>
                    <CommandBarSettings ShowStack="False" Title="Organisation Chart Commands" ></CommandBarSettings>                                       
                </cc1:XmlBoundOrganisationChart>
            </td>
        </tr>
       
        <tr>
            <td class="orgcharttable2td">
                Hide Lines
            </td>
            <td class="orgcharttable2td">
                shows or hides the organisation chart lines
            </td>
            <td class="orgcharttable2td">
                <asp:CheckBox ID="chkLines" runat="server" AutoPostBack="True" />
            </td>
        </tr>
        
        <tr class="style1">
            <td class="orgcharttable2td">
                RenderTopDown
            </td>
            <td class="orgcharttable2td">
                If set to true the chart renders top-down
            </td>
            <td class="orgcharttable2td">
                <asp:CheckBox ID="CheckBox1" runat="server" AutoPostBack="True" Checked="True" />
            </td>
        </tr>
        <tr>
            <td class="orgcharttable2td">
                LineColour
            </td>
            <td class="orgcharttable2td">
                Changes the line colour
            </td>
            <td class="orgcharttable2td">
                <asp:DropDownList ID="drpColor" runat="server" AutoPostBack="True">
                </asp:DropDownList>
            </td>
        </tr>
        <tr class="style1">
            <td class="orgcharttable2td">
                ChartHeadingHTML
            </td>
            <td class="orgcharttable2td">
                Sets the header HTML
            </td>
            <td class="orgcharttable2td">
                <asp:TextBox ID="TextBox1" runat="server" Columns="10">Header Text</asp:TextBox>
            </td>
        </tr>
        <tr>
            <td class="orgcharttable2td">
                ChartFooterHTML
            </td>
            <td class="orgcharttable2td">
                Sets the footer HTML
            </td>
            <td class="orgcharttable2td">
                <asp:TextBox ID="TextBox2" runat="server" Columns="10">Footer Text</asp:TextBox>
            </td>
        </tr>
        <tr class="style1">
            <td class="orgcharttable2td">
                Max Depth
            </td>
            <td class="orgcharttable2td">
                Restricts the Chart to a number of levels
            </td>
            <td class="orgcharttable2td">
                <asp:DropDownList ID="DropDownList1" runat="server" AutoPostBack="True">
                    <asp:ListItem Selected="True">5</asp:ListItem>
                    <asp:ListItem >3</asp:ListItem>
                    <asp:ListItem>2</asp:ListItem>
                    <asp:ListItem>1</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
           <td class="orgcharttable2td">
                VerticalLineHeight
            </td>
            <td class="orgcharttable2td">
                Sets the depth of the vertical lines in pixels
            </td>
            <td class="orgcharttable2td">
                <asp:TextBox ID="txtLineHeight" runat="server" Columns="10">20</asp:TextBox>
            </td>
        </tr>
        <tr class="style1">
            <td class="orgcharttable2td">
                StackChildNodes
            </td>
            <td class="orgcharttable2td">
                Draws the lower levels in a stacked mode.
            </td>
            <td class="orgcharttable2td">
                <asp:CheckBox ID="CheckBox2" runat="server" AutoPostBack="True" />
            </td>
        </tr>
        <tr>
            <td class="orgcharttable2td">
                ShowNavigationBar
            </td>
            <td class="orgcharttable2td">
                Shows or hides the navigation icons
            </td>
            <td class="orgcharttable2td">
                <asp:CheckBox ID="chkNav" runat="server" AutoPostBack="True" />
            </td>
        </tr>
        <tr class="style1">
            <td class="orgcharttable2td">
                Chart Title
            </td>
            <td class="orgcharttable2td">
                Sets the Chart Title
            </td>
            <td class="orgcharttable2td">
                <asp:TextBox ID="txtTitle" runat="server" Columns="10">My Chart Title</asp:TextBox>
            </td>
        </tr>
        <tr >
            <td class="orgcharttable2td">
                BackGroundImage</td>
            <td class="orgcharttable2td">
                Gets or sets the URL of the background image
            </td>
            <td class="orgcharttable2td">
                <asp:DropDownList ID="drpBackGroundImage" runat="server" AutoPostBack="True">
                    <asp:ListItem Selected="True">-- None --</asp:ListItem>
                    <asp:ListItem Value="~/images/Backgrounds/BG1.PNG">Sample 1 - Blue</asp:ListItem>
                    <asp:ListItem Value="~/images/Backgrounds/BG2.PNG">Sample 2 - Grey</asp:ListItem>
                    <asp:ListItem Value="~/images/Backgrounds/BG3.PNG">Sample 3 - Crazy</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr class="style1">
            <td class="orgcharttable2td">
                Hide To Item
            </td>
            <td class="orgcharttable2td" >
                shows or hides the top item in the organisation chart 
            </td>
            <td class="orgcharttable2td">
                <asp:CheckBox ID="chkHideTop" runat="server" AutoPostBack="True" />
            </td>
        </tr>
          <tr>
            <td class="orgcharttable2td">
                Nav Bar Position
            </td>
            <td class="orgcharttable2td" >
                Place the nav bar at the top or bottom. 
            </td>
            <td class="orgcharttable2td">
                <asp:CheckBox ID="chkNavBarPos" runat="server" AutoPostBack="True" />
            </td>
        </tr>
        <tr >
            <td class="orgcharttable2td">
                &nbsp;
            </td>
            <td class="orgcharttable2td">
                &nbsp;
            </td>
            <td class="orgcharttable2td">
                &nbsp;
                <asp:Button ID="Button1" runat="server" Text="Refresh" />
            </td>
        </tr>
    </table>
  
    <asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="~/data5.xml"></asp:XmlDataSource>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="CodePlaceHolder" Runat="Server">
</asp:Content>

