﻿using System;
using OrgChart.Core;
using System.Web.UI.WebControls;

public partial class Demo8 : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        // Show the Navigation Bar
        XmlBoundOrganisationChart1.NavigationBarSettings.Visible = true;
        // prevent the "Up" arrow drawing for the first ChartItem
        XmlBoundOrganisationChart1.NavigationBarSettings.InitialItemId = 1;
        // Show the "Select" Button
        XmlBoundOrganisationChart1.NavigationBarSettings.ShowSelectButton = true;

        // Show the Command Bar
        XmlBoundOrganisationChart1.CommandBarSettings.Visible = true;
        // Show the "Stack" Checkbox
        XmlBoundOrganisationChart1.CommandBarSettings.ShowStack = true;

        // Set the initial stack depth to 3 
        XmlBoundOrganisationChart1.StackItem.StackDepth = 3;


        XmlBoundOrganisationChart1.StackItem.ToolTip = "Stack Item {name}";


    }



    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);

        // Switch the template size depending on whether the chart user has selected "Summary" or "Full" detail
        if (XmlBoundOrganisationChart1.SummaryItem.UseSummaryTemplate)
        {
            XmlBoundOrganisationChart1.ChartItem.Size = BackgroundImageSize.Small;
        }
        else
        {
            XmlBoundOrganisationChart1.ChartItem.Size = BackgroundImageSize.Medium;
        }
      
        XmlBoundOrganisationChart1.DataBind();
    }


    /// <summary>
    /// This method is called when the user selects an org chart item
    /// </summary>
    /// <param name="sender">The orgchart control</param>
    /// <param name="e">The command argument</param>
    protected bool XmlBoundOrganisationChart1_ItemSelected(object sender, CommandEventArgs e)
    {
        // Set the value of the label to the item name
        lblSelectedChartItem.Text = string.Format("Selected : {0}", e.CommandArgument);

        // return true if the item is to be selected.  Returning false cancels the event.
        return true;
    }
   
}
