<%@ Page Title="ASP.NET Org Chart Component - Dragging And Dropping An Org Chart"
    Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="DragDropOrgChart.aspx.cs"
    Inherits="DragDropOrgChart" %>

<%@ Register Assembly="OrgChart" Namespace="OrgChart.Core" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <style type="text/css">
        .style1
        {
            font-size: small;
            color: black;
            font-family: Consolas, "Courier New", Courier, Monospace;
            background-color: #ffffff;
            overflow: hidden;
            width: 850px; /*white-space: pre;*/
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="TitlePlaceHolder" runat="Server">
    ASP.NET Org Chart Component - Dragging And Dropping An Org Chart
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PageDescriptionPlaceHolder" runat="Server">
<p><span class="newTxt">New in version 3.2</span> The ASP.NET Org Chart Component supports drag and drop.  To enable drag and drop the page developer:</p>
<ul>
    <li>Enables the drag and drop functionality by setting the property <span class="propertyName">DragDropSettings.Enabled</span> to true.</li>
    <li>Binds to the <span class="propertyName">ItemDropped</span> event.</li>
    <li>Writes custom code to update the data source when an item is dropped.</li>
</ul>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ChartPlaceHolder" runat="Server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <hr />
    <p>Drag the items on the chart below to rearrange the organisation!&nbsp;&nbsp;<asp:Button ID="Button1" runat="server" Text="Press To Reset Chart" 
                onclick="Button1_Click" /></p>
    
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>            
            <cc1:DataBoundOrganisationChart ID="DragDropChart" runat="server">
                <DragDrop Enabled="true" />                
            </cc1:DataBoundOrganisationChart>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="CodePlaceHolder" runat="Server">
 <h3>
        <a href="#">C# Code</a></h3>
<pre class="style1">
  <span class="kwrd">protected</span> <span class="kwrd">void</span> Page_Load(<span class="kwrd">object</span> sender, EventArgs e)
    {
        <span class="rem">// Connect the chart to the data source</span>
        <span class="rem">// In this example we are holding a table in memory</span>
        DragDropChart.DataSource = Data;

        <span class="rem">// Hook up the Drag Drop event handler.  This could be done in the ASPX file.</span>
        DragDropChart.ItemDropped += <span class="kwrd">new</span> OrgChart.Core.OrganisationChartDragDropEventHandler(DragDropChart_ItemDropped);
    }

    <span class="rem">/// &lt;summary&gt;</span>
    <span class="rem">/// This method is called once an item is dragged and dropped onto another item!</span>
    <span class="rem">/// &lt;/summary&gt;</span>
    <span class="rem">/// &lt;param name="sender"&gt;The Org Chart&lt;/param&gt;</span>
    <span class="rem">/// &lt;param name="DraggedItemId"&gt;The ItemId of the dragged item&lt;/param&gt;</span>
    <span class="rem">/// &lt;param name="DroppedItemId"&gt;The ItemId of dropped item&lt;/param&gt;</span>
    <span class="kwrd">bool</span> DragDropChart_ItemDropped(<span class="kwrd">object</span> sender, <span class="kwrd">string</span> DraggedItemId, <span class="kwrd">string</span> DroppedItemId)
    {
        <span class="rem">// Don't let the user change the first ( root item ) </span>
        <span class="kwrd">if</span> (DraggedItemId == <span class="str">"1"</span>)
        {
            <span class="rem">// Returning false "Cancels" the drop event</span>
            <span class="kwrd">return</span> <span class="kwrd">false</span>;
        }

        <span class="rem">// Update the data source</span>
        UpdateRow(DraggedItemId, DroppedItemId);
        <span class="kwrd">return</span> <span class="kwrd">true</span>;
    }</pre>
    
    <h3>
        <a href="#">Html Markup</a></h3>
    <!-- code formatted by http://manoli.net/csharpformat/ -->
<pre class="style1">
<span class="kwrd">&lt;</span><span class="html">cc1:DataBoundOrganisationChart</span> <span class="attr">ID</span><span class="kwrd">="DragDropChart"</span> <span class="attr">runat</span><span class="kwrd">="server"</span><span class="kwrd">&gt;</span>
                <span class="kwrd">&lt;</span><span class="html">DragDrop</span> <span class="attr">Enabled</span><span class="kwrd">="true"</span> <span class="kwrd">/&gt;</span>                
<span class="kwrd">&lt;/</span><span class="html">cc1:DataBoundOrganisationChart</span><span class="kwrd">&gt;</span></pre>
    
</asp:Content>
