﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class DragDropOrgChart : System.Web.UI.Page
{

    #region Create a DataTable of data

    // Create some data
    private DataTable Data
    {
        get
        {
            if (Session["DropData"] == null)
            {
                DataTable data = new DataTable();

                data.Columns.Add("UniqueId", typeof(int));
                data.Columns.Add("ManagerId", typeof(int));
                data.Columns.Add("Name", typeof(string));

                int id = 1;
                addRow(data, id++, 0, "Big Cheese");
                addRow(data, id++, 1, "Bill");
                addRow(data, id++, 1, "Ben");
                addRow(data, id++, 2, "Sally");
                addRow(data, id++, 2, "Sue");
                addRow(data, id++, 3, "Fred");
                addRow(data, id++, 3, "Tom");
                addRow(data, id++, 4, "Mike");
                addRow(data, id++, 5, "John");
                addRow(data, id++, 6, "Hannah");



                Session["DropData"] = data;
            }

            return Session["DropData"] as DataTable;
        }
    }

    private void addRow(DataTable data, int p, int p_3, string p_4)
    {
        DataRow r = data.NewRow();
        r[0] = p;
        r[1] = p_3;
        r[2] = p_4;


        data.Rows.Add(r);
    }

    private void UpdateRow(string Id, string ManagerId)
    {
        // Ok so this isn't elegant but it will do for this demo!!!

        DataView childNodes = new DataView(Data);
        childNodes.RowFilter = String.Format("[UniqueId]={0}", Id);
        childNodes[0]["ManagerId"] = ManagerId;
    }

    #endregion

    protected void Page_Load(object sender, EventArgs e)
    {
        // Connect the chart to the data source
        // In this example we are holding a table in memory
        DragDropChart.DataSource = Data;

        //We could leave smart draw on.
        DragDropChart.EnableSmartDraw = false;

        // Hook up the Drag Drop event handler.  This could be done in the ASPX file.
        DragDropChart.ItemDropped += new OrgChart.Core.OrganisationChartDragDropEventHandler(DragDropChart_ItemDropped);
    }

    /// <summary>
    /// This method is called once an item is dragged and dropped onto another item!
    /// </summary>
    /// <param name="sender">The Org Chart</param>
    /// <param name="DraggedItemId">The ItemId of the dragged item</param>
    /// <param name="DroppedItemId">The ItemId of dropped item</param>
    bool DragDropChart_ItemDropped(object sender, string DraggedItemId, string DroppedItemId)
    {
        // Don't let the user change the first ( root item ) 
        if (DraggedItemId == "1")
        {
            // Returning false "Cancels" the drop event
            return false;
        }

        // Update the data source
        UpdateRow(DraggedItemId, DroppedItemId);
        return true;
    }

    protected override void OnPreRender(EventArgs e)
    {
        DragDropChart.DataBind();
        base.OnPreRender(e);
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        Session["DropData"] = null;
        DragDropChart.DataSource = Data;
    }
}
