﻿<%@ Page Title=" ASP.NET Org Chart Component - Using The Edit Template To Make An Editable Org Chart"
    Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="EditOrgChart.aspx.cs"
    Inherits="EditOrgChart" %>
<%@ Register Assembly="OrgChart" Namespace="OrgChart.Core" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="TitlePlaceHolder" runat="Server">
    ASP.NET Org Chart Component - Using The Edit Template To Make An Editable Org Chart
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PageDescriptionPlaceHolder" runat="Server">
    <p>
        The .NET OrgChartComponent supports in-line editing via the EditTemplate.    
        Page developers can easily create interactive org charts that alllow end users to
        modify data on the chart.<br />
    
        Select one of the Chart Items below by either clicking the select button or by clicking in the item itself.</p>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ChartPlaceHolder" runat="Server">
    <cc1:DataBoundOrganisationChart ID="DataChart" runat="server" Width="865px">
        <DetailedTemplate>
            <br />
            <asp:Label ID="Label1" runat="server" Text='<%#Container["Name"]%>' />
        </DetailedTemplate>
        <NavigationBarSettings Visible="True" ShowSelectButton="True" ShowHidePeersButton="False"
            ShowNavigationButtons="False">
        </NavigationBarSettings>              
        <EditTemplate>
            <br />
            <asp:TextBox ID="TextBox1" Columns="10" runat="server" Text='<%#Container["Name"]%>' />
            <asp:LinkButton ID="lnkCancel" runat="server" OnClick="lnkCancel_Click">Cancel</asp:LinkButton>&nbsp;&nbsp;&nbsp;<asp:LinkButton ID="lnkUpdate" CommandArgument='<%#Container.DataElement("UniqueId")%>'
                CommandName="Update" runat="server" OnClick="lnkUpdate_Click">Update</asp:LinkButton><br />
                <asp:LinkButton ID="lnkAddPeer" runat="server"  OnClick="AddNewNode" CommandArgument='<%#Container.ParentId %>'>Add Peer</asp:LinkButton>
                &nbsp;<asp:LinkButton ID="lnkAddChild" runat="server" OnClick="AddNewNode" CommandArgument='<%#Container.ItemId %>'>Add Child</asp:LinkButton>
        </EditTemplate>
        <ChartItem Colour="Yellow" BackgroundImageStyle="Gradient5">
        </ChartItem>
        <EditItem Colour="Red" Size="Large">
        </EditItem>
    </cc1:DataBoundOrganisationChart>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="CodePlaceHolder" runat="Server">
 <h3>
        <a href="#">C# Code</a></h3>
    <div>       
<pre class="alt"><span class="lnum">   1:  </span><span class="kwrd">protected</span> <span class="kwrd">void</span> Page_Load(<span class="kwrd">object</span> sender, EventArgs e)</pre>
<pre><span class="lnum">   2:  </span>    {</pre>
<pre class="alt"><span class="lnum">   3:  </span>        <span class="rem">// Bind the chart to our data ( in this instance it is a DataTable ) </span></pre>
<pre><span class="lnum">   4:  </span>        DataChart.DataSource = Data;</pre>
<pre class="alt"><span class="lnum">   5:  </span>        <span class="rem">// Create the chart</span></pre>
<pre><span class="lnum">   6:  </span>        DataChart.DataBind();        </pre>
<pre class="alt"><span class="lnum">   7:  </span>    }</pre>
<pre><span class="lnum">   8:  </span>&nbsp;</pre>
<pre class="alt"><span class="lnum">   9:  </span>   </pre>
<pre><span class="lnum">  10:  </span>   </pre>
<pre class="alt"><span class="lnum">  11:  </span>    <span class="rem">/// &lt;summary&gt;</span></pre>
<pre><span class="lnum">  12:  </span>    <span class="rem">/// This method is invoked when the "Update" link button is clicked by the user</span></pre>
<pre class="alt"><span class="lnum">  13:  </span>    <span class="rem">/// &lt;/summary&gt;    </span></pre>
<pre><span class="lnum">  14:  </span>    <span class="kwrd">protected</span> <span class="kwrd">void</span> lnkUpdate_Click(<span class="kwrd">object</span> sender, EventArgs e)</pre>
<pre class="alt"><span class="lnum">  15:  </span>    {</pre>
<pre><span class="lnum">  16:  </span>        <span class="rem">// Get the unique Id from the LinkButton and the </span></pre>
<pre class="alt"><span class="lnum">  17:  </span>        <span class="rem">// new name from the text box</span></pre>
<pre><span class="lnum">  18:  </span>        LinkButton lb = sender <span class="kwrd">as</span> LinkButton;</pre>
<pre class="alt"><span class="lnum">  19:  </span>        TextBox tb = lb.Parent.FindControl(<span class="str">"TextBox1"</span>) <span class="kwrd">as</span> TextBox;</pre>
<pre><span class="lnum">  20:  </span>&nbsp;</pre>
<pre class="alt"><span class="lnum">  21:  </span>        <span class="rem">// Update the "Database"</span></pre>
<pre><span class="lnum">  22:  </span>        UpdateRow(lb.CommandArgument, tb.Text);</pre>
<pre class="alt"><span class="lnum">  23:  </span>&nbsp;</pre>
<pre><span class="lnum">  24:  </span>        <span class="rem">//Cancel the selected Chart Item</span></pre>
<pre class="alt"><span class="lnum">  25:  </span>        DataChart.SelectedValue = <span class="kwrd">null</span>;</pre>
<pre><span class="lnum">  26:  </span>    }</pre>
<pre class="alt"><span class="lnum">  27:  </span>&nbsp;</pre>
<pre><span class="lnum">  28:  </span>    <span class="rem">/// &lt;summary&gt;</span></pre>
<pre class="alt"><span class="lnum">  29:  </span>    <span class="rem">/// This method is invoked when the "Cancel" link button is clicked by the user</span></pre>
<pre><span class="lnum">  30:  </span>    <span class="rem">/// &lt;/summary&gt;</span></pre>
<pre class="alt"><span class="lnum">  31:  </span>    <span class="kwrd">protected</span> <span class="kwrd">void</span> lnkCancel_Click(<span class="kwrd">object</span> sender, EventArgs e)</pre>
<pre><span class="lnum">  32:  </span>    {</pre>
<pre class="alt"><span class="lnum">  33:  </span>        <span class="rem">// Cancel the selected Chart Item</span></pre>
<pre><span class="lnum">  34:  </span>        DataChart.SelectedValue = <span class="kwrd">null</span>;</pre>
<pre class="alt"><span class="lnum">  35:  </span>    }</pre>

    </div>
    <h3>
        <a href="#">Html Markup</a></h3>
    <div>       
<pre class="alt"><span class="lnum">   1:  </span><span class="kwrd">&lt;</span><span class="html">cc1:DataBoundOrganisationChart</span> <span class="attr">ID</span><span class="kwrd">="DataChart"</span> <span class="attr">runat</span><span class="kwrd">="server"</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">   2:  </span>        <span class="kwrd">&lt;</span><span class="html">DetailedTemplate</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">   3:  </span>            <span class="kwrd">&lt;</span><span class="html">br</span> <span class="kwrd">/&gt;</span></pre>
<pre><span class="lnum">   4:  </span>            <span class="kwrd">&lt;</span><span class="html">asp:Label</span> <span class="attr">ID</span><span class="kwrd">="Label1"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">Text</span><span class="kwrd">='&lt;%#Container.DataElement("Name")%&gt;'</span> <span class="kwrd">/&gt;</span></pre>
<pre class="alt"><span class="lnum">   5:  </span>        <span class="kwrd">&lt;/</span><span class="html">DetailedTemplate</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">   6:  </span>        <span class="kwrd">&lt;</span><span class="html">NavigationBarSettings</span> <span class="attr">Visible</span><span class="kwrd">="True"</span> <span class="attr">ShowSelectButton</span><span class="kwrd">="True"</span> <span class="attr">ShowHidePeersButton</span><span class="kwrd">="False"</span></pre>
<pre class="alt"><span class="lnum">   7:  </span>            <span class="attr">ShowNavigationButtons</span><span class="kwrd">="False"</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">   8:  </span>        <span class="kwrd">&lt;/</span><span class="html">NavigationBarSettings</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">   9:  </span>        <span class="kwrd">&lt;</span><span class="html">EditTemplate</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  10:  </span>            <span class="kwrd">&lt;</span><span class="html">br</span> <span class="kwrd">/&gt;</span></pre>
<pre class="alt"><span class="lnum">  11:  </span>            <span class="kwrd">&lt;</span><span class="html">asp:TextBox</span> <span class="attr">ID</span><span class="kwrd">="TextBox1"</span> <span class="attr">Columns</span><span class="kwrd">="10"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">Text</span><span class="kwrd">='&lt;%#Container.DataElement("Name")%&gt;'</span> <span class="kwrd">/&gt;</span></pre>
<pre><span class="lnum">  12:  </span>            <span class="kwrd">&lt;</span><span class="html">asp:LinkButton</span> <span class="attr">ID</span><span class="kwrd">="lnkCancel"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">OnClick</span><span class="kwrd">="lnkCancel_Click"</span><span class="kwrd">&gt;</span>Cancel<span class="kwrd">&lt;/</span><span class="html">asp:LinkButton</span><span class="kwrd">&gt;</span><span class="attr">&amp;nbsp;</span><span class="attr">&amp;nbsp;</span><span class="attr">&amp;nbsp;</span></pre>
<pre class="alt"><span class="lnum">  13:  </span>            <span class="kwrd">&lt;</span><span class="html">asp:LinkButton</span> <span class="attr">ID</span><span class="kwrd">="lnkUpdate"</span> <span class="attr">CommandArgument</span><span class="kwrd">='&lt;%#Container.DataElement("UniqueId")%&gt;'</span></pre>
<pre><span class="lnum">  14:  </span>                <span class="attr">CommandName</span><span class="kwrd">="Update"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">OnClick</span><span class="kwrd">="lnkUpdate_Click"</span><span class="kwrd">&gt;</span>Update<span class="kwrd">&lt;/</span><span class="html">asp:LinkButton</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  15:  </span>        <span class="kwrd">&lt;/</span><span class="html">EditTemplate</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  16:  </span>        <span class="kwrd">&lt;</span><span class="html">ChartItem</span> <span class="attr">Colour</span><span class="kwrd">="Yellow"</span> <span class="attr">BackgroundImageStyle</span><span class="kwrd">="Gradient5"</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  17:  </span>        <span class="kwrd">&lt;/</span><span class="html">ChartItem</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  18:  </span>        <span class="kwrd">&lt;</span><span class="html">EditItem</span> <span class="attr">Colour</span><span class="kwrd">="Red"</span> <span class="attr">Size</span><span class="kwrd">="Large"</span> <span class="attr">BorderStyle</span><span class="kwrd">="Gradient5"</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  19:  </span>        <span class="kwrd">&lt;/</span><span class="html">EditItem</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  20:  </span>    <span class="kwrd">&lt;/</span><span class="html">cc1:DataBoundOrganisationChart</span><span class="kwrd">&gt;</span></pre>

      
    </div>
</asp:Content>
