﻿<%@ Page Title="Exporting Organisation Chart To Excel" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="ExportOrgChartToExcel.aspx.cs" Inherits="ExportOrgChartToExcel" %>
<%@ Register Assembly="OrgChart" Namespace="OrgChart.Core" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <style type="text/css">
        .style1
        {
            font-size: small;
            color: black;
            font-family: Consolas, "Courier New", Courier, Monospace;
            background-color: #ffffff;
            overflow: hidden;
            width: 672px; /*white-space: pre;*/
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="TitlePlaceHolder" Runat="Server">Exporting 
    The Organisation Chart To Excel
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PageDescriptionPlaceHolder" Runat="Server">
<p>The OrgChartComponent has an export to Excel feature that allows end users to 
    open the current organisation chart into Excel.  
        This useful feature allows users to get data into Excel easily from where they can perform 
    advanced analysis.
    </p>
    <p>
        To do this simply:
    </p>
    <ul>
        <li>Ensure that the <b>CommandBar </b>is visible</li>
        <li>Set the <b>ShowExport</b> property to <b>True.</b></li>
        <li>Set the <b>ExportSettings.FieldNames </b>property to indicate which fields should
            be exported, in this example it is set to <b>&quot;FirstName,Email&quot;</b><br />
        </li>
    </ul>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ChartPlaceHolder" Runat="Server">
<asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="~/smallChart.xml">
    </asp:XmlDataSource>
    <cc1:XmlBoundOrganisationChart ID="MyChart" runat="server" Width="865px"
                    DataSourceID="XmlDataSource1">
                    <ExportSettings FieldHeaders="First Name,email" Fields="Firstname,eMail" 
                        AutogenerateHeaders="False" />
                    <CommandBarSettings ShowExport="True" ShowMaxDepth="False" Visible="True">
                    </CommandBarSettings>
                    <ChartItem HtmlTemplate="{Firstname}">
                        <ItemStyle ForeColor="Black" />
                    </ChartItem>
                </cc1:XmlBoundOrganisationChart>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="CodePlaceHolder" Runat="Server">
 <h3>
        <a href="#">C# Code</a></h3>
    <div>
        <pre >

        <span class="rem">// First ensure that the command bar is visible</span>
        MyChart.CommandBarSettings.Visible = <span class="kwrd">true</span>;
        <span class="rem">// And that the "Export" Link is enabled</span>
        MyChart.CommandBarSettings.ShowExport = <span class="kwrd">true</span>;

        <span class="rem">// Set the fields to be exported</span>
        MyChart.ExportSettings.Fields = <span class="str">"Firstname,eMail"</span>;
        <span class="rem">// Optionally set the field headers, by first disabling the Auto Generated headers</span>
        MyChart.ExportSettings.AutogenerateHeaders = <span class="kwrd">false</span>;
        <span class="rem">// And then by setting the field headers</span>
        MyChart.ExportSettings.FieldHeaders = <span class="str">"First Name, email"</span>;
        </pre>
    </div>
    <h3>
        <a href="#">Html Markup</a></h3>
    <div>
        <span class="kwrd">&lt;</span><span class="html">cc1:XmlBoundOrganisationChart</span> <span class="attr">ID</span><span class="kwrd">="MyChart"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> 
     <span class="attr">DataSourceID</span><span class="kwrd">="XmlDataSource1"</span><span class="kwrd">&gt;</span>
     <span class="kwrd">&lt;</span><span class="html">ExportSettings</span> <span class="attr">FieldHeaders</span><span class="kwrd">="First Name,eMail"</span> <span class="attr">Fields</span><span class="kwrd">="Firstname,eMail"</span> <span class="kwrd">/&gt;</span>
     <span class="kwrd">&lt;</span><span class="html">CommandBarSettings</span> <span class="attr">ShowExport</span><span class="kwrd">="True"</span> <span class="attr">ShowMaxDepth</span><span class="kwrd">="False"</span> <span class="attr">Visible</span><span class="kwrd">="True"</span><span class="kwrd">&gt;</span>
     <span class="kwrd">&lt;/</span><span class="html">CommandBarSettings</span><span class="kwrd">&gt;</span>
     <span class="kwrd">&lt;</span><span class="html">ChartItem</span> <span class="attr">HtmlTemplate</span><span class="kwrd">="{Firstname}"</span><span class="kwrd">&gt;</span>
     <span class="kwrd">&lt;/</span><span class="html">ChartItem</span><span class="kwrd">&gt;</span>
<span class="kwrd">&lt;/</span><span class="html">cc1:XmlBoundOrganisationChart</span><span class="kwrd">&gt;</span></pre>
      
    </div>
</asp:Content>

