﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="SearchOrgChart.aspx.cs" Inherits="SearchOrgChart" %>

<%@ Register assembly="OrgChart" namespace="OrgChart.Core" tagprefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    
    <style type="text/css">
        .style1
        {
            color: #000000;
            font-weight: bold;
        }
        .style2
        {
            color: #000000;
        }
        .style3
        {
            color: #FF0000;
            font-style: italic;
        }
        .style4
        {
            color: #FF0000;
        }
    </style>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="TitlePlaceHolder" runat="server">
    ASP.NET Org Chart Component - Searching The Org Chart 
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="PageDescriptionPlaceHolder" runat="server">
    <p>
        In a traditional large organisation navigating the org chart can be difficult 
        and it takes some time to locate a specific person or department.</p>
    <p>
        The OrgChart Component overcomes this by providing an in built search capability 
        to allow the end-users to search, find and then navigate to an item in the 
        organisation chart with the minimum of effort.&nbsp;
    </p>
    <p>
        To configure the OrgChartComponent search facility the page developer simply 
        needs to:</p>
        
    <ol>
        <li>Set the <span class="style1">CommandBar.Visible</span> and <b>
            <span class="style2">CommandBar.ShowSearch</span> </b>properties to
            <span class="style1">true</span></li>
        <li>Set the <span class="style1">SearchSettings.SearchExpresion </span>property to 
            configure the search.&nbsp; In this for example <span class="style3">&quot;name like &#39;%{0}%&#39;&quot;</span></li>
        <li>Set the<span class="style2"> <b>SearchSettings.DropDownResults </b></span>property 
            to display more 
            than one search result .&nbsp; In this example : <span class="style4">&quot;{Last_Name}, {First_Name}&quot;</span></li>
    </ol>
    
    
    <p>
        And thats it!&nbsp; Now the end users will be able to enter their search into 
        the search box in the <a href="Demo8.aspx">CommandBar</a> and hit the search 
        link!</p>
    
    
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ChartPlaceHolder" runat="Server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <cc1:DataBoundOrganisationChart ID="MyChart" runat="server" 
                DataSourceID="SqlDataSource1" LineColour="Blue" PrimaryKey="EmployeeId" 
                MaximumDepth="3" Width="100%" >
                <SearchSettings SearchExpression="name like '%{0}%'" SearchLinkText="Find" DropDownResults="{Last_Name}, {First_Name}">
                </SearchSettings>
                <ChartItem HtmlTemplate="{First_Name} {Last_Name}"></ChartItem>
                <StackItem Colour="Yellow" 
                    HtmlTemplate="{First_Name} {Last_Name}" 
                    StackDepth="3" ShowStackItems="False">
                </StackItem>
                <CommandBarSettings ShowSearch="True" Visible="True" ShowMaxDepth="false">
                </CommandBarSettings>
                <NavigationBarSettings Visible="True" ShowHidePeersButton="false">
                </NavigationBarSettings>
            </cc1:DataBoundOrganisationChart>
            <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
    ConnectionString="<%$ ConnectionStrings:OrgChartDemoConnectionString %>" 
    
                SelectCommand="SELECT [EmployeeId], [ManagerId], [First Name] + ' ' + [Last Name] as name, [First Name] AS First_Name, [Last Name] AS Last_Name, [Department] FROM [vStaffDetails]"></asp:SqlDataSource>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="CodePlaceHolder">
    <h3>
        <a href="#">C# Code</a></h3>
    <div>        
<pre class="alt"><span class="lnum">   1:  </span>&nbsp;</pre>
<pre><span class="lnum">   2:  </span>        <span class="rem">// First display the search option</span></pre>
<pre class="alt"><span class="lnum">   3:  </span>        MyChart.CommandBarSettings.Visible = <span class="kwrd">true</span>;</pre>
<pre><span class="lnum">   4:  </span>        MyChart.CommandBarSettings.ShowSearch = <span class="kwrd">true</span>;</pre>
<pre class="alt"><span class="lnum">   5:  </span>        <span class="rem">// configure the drop down list used when multiple results are found</span></pre>
<pre><span class="lnum">   6:  </span>        MyChart.SearchSettings.DropDownResults = <span class="str">"{Last_Name}, {First_Name}"</span>;</pre>
<pre class="alt"><span class="lnum">   7:  </span>&nbsp;</pre>
<pre><span class="lnum">   8:  </span>        <span class="rem">// Configure the search  expression.  OrgChart replaces the {0} with the search text</span></pre>
<pre class="alt"><span class="lnum">   9:  </span>        MyChart.SearchSettings.SearchExpression = <span class="str">"name like '%{0}%'"</span>;</pre>
    </div>
    <h3>
        <a href="#">Html Markup</a></h3>
    <div>  
<pre class="alt"><span class="lnum">   1:  </span> <span class="kwrd">&lt;</span><span class="html">cc1:DataBoundOrganisationChart</span> <span class="attr">ID</span><span class="kwrd">="MyChart"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> </pre>
<pre><span class="lnum">   2:  </span>                <span class="attr">DataSourceID</span><span class="kwrd">="SqlDataSource1"</span> <span class="attr">LineColour</span><span class="kwrd">="Blue"</span> <span class="attr">PrimaryKey</span><span class="kwrd">="EmployeeId"</span> </pre>
<pre class="alt"><span class="lnum">   3:  </span>                <span class="attr">MaximumDepth</span><span class="kwrd">="3"</span> <span class="attr">Width</span><span class="kwrd">="100%"</span> <span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">   4:  </span>                <span class="kwrd">&lt;</span><span class="html">SearchSettings</span> <span class="attr">SearchExpression</span><span class="kwrd">="name like '%{0}%'"</span> <span class="attr">SearchLinkText</span><span class="kwrd">="Find"</span> <span class="attr">DropDownResults</span><span class="kwrd">="{Last_Name}, {First_Name}"</span><span class="kwrd">/&gt;</span></pre>
<pre class="alt"><span class="lnum">   5:  </span>                <span class="kwrd">&lt;</span><span class="html">ChartItem</span> <span class="attr">HtmlTemplate</span>="&<span class="attr">lt</span>;<span class="attr">div</span><span class="kwrd">&gt;</span>{First_Name} {Last_Name}<span class="kwrd">&lt;/</span><span class="html">div</span><span class="kwrd">&gt;</span>"<span class="kwrd">&gt;&lt;/</span><span class="html">ChartItem</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">   6:  </span>                <span class="kwrd">&lt;</span><span class="html">StackItem</span> <span class="attr">Colour</span><span class="kwrd">="Yellow"</span> <span class="attr">HtmlTemplate</span><span class="kwrd">="{First_Name} {Last_Name}"</span> <span class="attr">StackDepth</span><span class="kwrd">="3"</span> <span class="attr">Enabled</span><span class="kwrd">="True"</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">   7:  </span>                <span class="kwrd">&lt;/</span><span class="html">StackItem</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">   8:  </span>                <span class="kwrd">&lt;</span><span class="html">CommandBarSettings</span> <span class="attr">ShowSearch</span><span class="kwrd">="True"</span> <span class="attr">Visible</span><span class="kwrd">="True"</span> <span class="attr">ShowMaxDepth</span><span class="kwrd">="false"</span><span class="kwrd">/&gt;</span></pre>
<pre class="alt"><span class="lnum">   9:  </span>                <span class="kwrd">&lt;</span><span class="html">NavigationBarSettings</span> <span class="attr">Visible</span><span class="kwrd">="True"</span> <span class="attr">ShowHidePeersButton</span><span class="kwrd">="false"</span><span class="kwrd">/&gt;</span></pre>
<pre><span class="lnum">  10:  </span>            <span class="kwrd">&lt;/</span><span class="html">cc1:DataBoundOrganisationChart</span><span class="kwrd">&gt;</span></pre>     
    </div>
</asp:Content>
